#version 150

in vec2 _textureCoord;

out vec4 outputF;

uniform sampler2D tex1;
uniform sampler2D tex2;
uniform float dof;
uniform float focus;

void main(void)
{

	vec2 vMin = vec2(0.0,0.0);
	vec2 vMax = vec2(1.0,1.0);

	float blurSize = abs(texture(tex2, _textureCoord).x * 100.0 - (99.0 + focus)) / (dof+50);

	vec4 f = vec4(0.0);

    f += texture2D(tex1, clamp(_textureCoord + vec2(-7.0 * blurSize, 0.0), vMin, vMax))*0.0044299121055113265;
    f += texture2D(tex1, clamp(_textureCoord + vec2(-6.0 * blurSize, 0.0), vMin, vMax))*0.00895781211794;
    f += texture2D(tex1, clamp(_textureCoord + vec2(-5.0 * blurSize, 0.0), vMin, vMax))*0.0215963866053;
    f += texture2D(tex1, clamp(_textureCoord + vec2(-4.0 * blurSize, 0.0), vMin, vMax))*0.0443683338718;
    f += texture2D(tex1, clamp(_textureCoord + vec2(-3.0 * blurSize, 0.0), vMin, vMax))*0.0776744219933;
    f += texture2D(tex1, clamp(_textureCoord + vec2(-2.0 * blurSize, 0.0), vMin, vMax))*0.115876621105;
    f += texture2D(tex1, clamp(_textureCoord + vec2(-1.0 * blurSize, 0.0), vMin, vMax))*0.147308056121;
    f += texture2D(tex1, _textureCoord)*0.159576912161;
    f += texture2D(tex1, clamp(_textureCoord + vec2(1.0 * blurSize, 0.0), vMin, vMax))*0.147308056121;
    f += texture2D(tex1, clamp(_textureCoord + vec2(2.0 * blurSize, 0.0), vMin, vMax))*0.115876621105;
    f += texture2D(tex1, clamp(_textureCoord + vec2(3.0 * blurSize, 0.0), vMin, vMax))*0.0776744219933;
    f += texture2D(tex1, clamp(_textureCoord + vec2(4.0 * blurSize, 0.0), vMin, vMax))*0.0443683338718;
    f += texture2D(tex1, clamp(_textureCoord + vec2(5.0 * blurSize, 0.0), vMin, vMax))*0.0215963866053;
    f += texture2D(tex1, clamp(_textureCoord + vec2(6.0 * blurSize, 0.0), vMin, vMax))*0.00895781211794;
    f += texture2D(tex1, clamp(_textureCoord + vec2(7.0 * blurSize, 0.0), vMin, vMax))*0.0044299121055113265;

	outputF = f;
}