#version 150

in  vec3 position;
in  vec3 normal;
in	vec2 textureCoord;

out vec2 _textureCoord;
out vec3 _normal;
out vec3 _position;
out vec4 _screenPos;		//needed for shadow mask, gl_Position 'not accessible in this profile'
out vec4 _texCoordProj;		//projected texture

uniform mat4 projMatrix;
uniform mat4 viewMatrix;
uniform mat4 modelMatrix;
uniform mat4 textureMatrix;	//projected texture

void main(void)
{
	_normal = normalize(transpose(inverse(mat3(modelMatrix))) * normal); // Phong, "fake" normal transformation

	_position = vec3(modelMatrix * vec4(position, 1.0));	//vec3(viewMatrix * modelMatrix * vec4(position, 1.0)); // Don't include projection here - we only want to go to view coordinates

	_textureCoord = textureCoord;

	//projected texture
	_texCoordProj = textureMatrix * modelMatrix * vec4(position, 1.0);

	_screenPos = projMatrix * viewMatrix * modelMatrix * vec4(position, 1.0);
	gl_Position = _screenPos;
}
