#version 150

in vec3 _normal;
in vec3 _position; 
in vec4 _shadowCoordProj;
out vec4 outputF;
uniform sampler2D shadowMap;
uniform vec3 light0;

void main(void)
{
	vec3 N = normalize(_normal);
	vec3 L = normalize(light0 - _position);

	vec4 outColor = vec4(1.0,1.0,1.0,1.0); //* max(0.0, dot(N, L));
	
	vec4 shadowmapVal = vec4(1000.0,1000.0,1000.0,1000.0);
	if(!(max(_shadowCoordProj.x/_shadowCoordProj.z, _shadowCoordProj.y/_shadowCoordProj.z)>1 
			|| min(_shadowCoordProj.x/_shadowCoordProj.z, _shadowCoordProj.y/_shadowCoordProj.z)<0 
			|| _shadowCoordProj.z<0)){
		shadowmapVal = texture2DProj(shadowMap, _shadowCoordProj);
	}
	float shadowBias = 0.01*clamp(tan(acos(clamp(dot(N,L),0.0,1.0))),0.0,1.0);	//weighted by slope
	if(shadowmapVal.z < (_shadowCoordProj.z-shadowBias)/_shadowCoordProj.w)
		outColor = vec4(0.0,0.0,0.0,1.0);
	
	outputF = outColor;
}