#version 150

in  vec3 position;
in  vec3 normal;
out vec4 _shadowCoordProj;
out vec3 _normal;
out vec3 _position;

uniform mat4 projMatrix;
uniform mat4 viewMatrix;
uniform mat4 modelMatrix;
uniform mat4 shadowMatrix;

void main(void)
{
	_shadowCoordProj = shadowMatrix * modelMatrix * vec4(position, 1.0);
	_normal = normal;//normalize(inverse(transpose(mat3(modelMatrix))) * normal);
	_position = vec3(modelMatrix * vec4(position, 1.0));
	gl_Position = projMatrix * viewMatrix * modelMatrix * vec4(position, 1.0);
}
